Submit mass payment request in async mode. Requires either a sell currency or existing trade ID to create the instructionNote that within a mass payment instruction it is not possible to use different sell currencies per payment.
Please note that if a trade ID is being passed in the request, the payments in a mass payment instruction must be of the same BUY currency.
Headers
Authorization
string
required
The access token.
Query Parameters
client_id
string
required
The identifier of a client.
vop_authorization_id
string
VoP authorization ID to confirm not full-match payment
Body
application/json
Request Payload
auto_commit
boolean
required
If true, send successful instructions for payment. If false, hold until customer hits commit endpoint.
payment_instructions
object[]
required
Array of multiple payment instruction given by the customer.
Show child attributes
external_reference_id
string
default:""
The external reference: unique ID supplied by customer which can be used later to filter.
sell_currency
string
If trade_id omitted, sell_currency must be supplied.
Pattern: ^[A-Z]{3}$
trade_id
string
Trade ID to book payments against. If customer wants the trade to be auto booked then this parameter should not be supplied.
Response
Masspayment request accepted, see response body for status
mass_payment_id
string<uuid>
The UUID of the MassPayment just created
external_reference_id
string
The external reference for the MassPayment, if supplied
mass_payment_status
enum<string>
This is an enumeration of the status of a MassPayment
Available options:
Queued for processing,
Processing,
Processed,
Queued for creating,
Creating,
Created,
Cancelled,
Failed
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Ebury","colors":{"primary":"#73B0CA","light":"#73B0CA","dark":"#73B0CA"},"logo":{"light":"https://mintcdn.com/ebury/hyecsfNgRYJYRIcg/logo/light.svg?fit=max\u0026auto=format\u0026n=hyecsfNgRYJYRIcg\u0026q=85\u0026s=171beecd1c422bb5a896ebdf7a2bf872","dark":"https://mintcdn.com/ebury/hyecsfNgRYJYRIcg/logo/dark.svg?fit=max\u0026auto=format\u0026n=hyecsfNgRYJYRIcg\u0026q=85\u0026s=30c0d6ec67e487abc63236d0cdfb784e"},"favicon":"https://mintcdn.com/ebury/hyecsfNgRYJYRIcg/logo/favicon.png?fit=max\u0026auto=format\u0026n=hyecsfNgRYJYRIcg\u0026q=85\u0026s=64cdb26e56d359bc7493b9fb4bd17158","navbar":{"links":[{"href":"https://postman.ebury.io/","label":"Postman"}],"primary":{"type":"button","label":"Get started","href":"https://ebury.com/contact-us"}},"footer":{"socials":{"facebook":"https://www.facebook.com/EburyFintech","instagram":"https://www.instagram.com/ebury_fintech","linkedin":"https://www.linkedin.com/company/ebury","x":"https://twitter.com/Ebury_Fintech"},"links":[{"items":[{"label":"Ebury.com","href":"https://ebury.com/"},{"label":"Legal","href":"https://ebury.com/legal"},{"label":"Privacy Notice","href":"https://ebury.com/legal/privacy-notice"},{"label":"Cookie Notice","href":"https://ebury.com/legal/cookie-notice"}]}]},"integrations":{"ga4":{"measurementId":"G-4851W0ZHR1"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"ebury","hasAudioNarration":false,"actualSubdomain":"ebury","customDomains":["docs.ebury.com"],"gitSource":{"type":"github","owner":"ebury","repo":"ebury-api-mintlify-docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afac9e014079de35bcc6ba8","clientVersion":"0.0.4160","searchFilterCounts":[{"language":"default","tag":"API Reference","count":105},{"language":"default","tag":"Endpoints","count":84},{"language":"default","tag":"Guides","count":19},{"language":"default","tag":"Data models","count":16},{"language":"default","tag":"Getting started","count":11},{"language":"default","tag":"Ebury payments","count":8},{"language":"default","tag":"Account details","count":7},{"language":"default","tag":"OAuth2.0","count":7},{"language":"default","tag":"Payments","count":7},{"language":"default","tag":"Statements","count":7}],"searchSettings":{"maxResults":12}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"v1/api-reference/mass-payments/create-a-mass-payment-instruction","slug":"/v1/api-reference/mass-payments/create-a-mass-payment-instruction","pageMetadata":{"title":"Create a mass payment instruction","description":"","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /mass-payments","href":"/v1/api-reference/mass-payments/create-a-mass-payment-instruction","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Warning}=_components;if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Submit mass payment request in async mode. Requires either a sell currency or existing trade ID to create the instruction`}),`\n`,_jsx(_components.p,{children:`Note that within a mass payment instruction it is not possible to use different sell currencies per payment.`}),`\n`,_jsx(Warning,{children:`Please note that if a trade ID is being passed in the request, the payments in a mass payment instruction must be of the same BUY currency.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a mass payment instruction","description":"","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /mass-payments","href":"/v1/api-reference/mass-payments/create-a-mass-payment-instruction","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/ebury/0f25bc0ed81b3628/statsig.js","/_mintlify/custom/ebury/05cc4dab1f4ee49a/legacy-anchors.js"],"openApiReferenceData":{"operation":{"description":"Submit mass payment request in async mode. Requires either a sell currency or existing trade ID to create the instruction","parameters":["edfeab04-9af6-4f70-9592-f52c9da3407b","5907fce9-534a-48c8-87ea-e5b33b74f9c1","7afe25a2-b32b-46f0-b3fb-000feb251785"],"requestBody":"d14565b0-554a-4199-aec1-b76076b7e17a","responses":{"202":"1fd934e8-665f-4630-a5b9-782b75867f54","400":"5e406801-5c90-4bb1-a93a-3f436e6da32e","401":"24d1b9e2-93f6-4b44-8d97-3bad201c7d29","403":"c0389297-cf2d-4519-9719-4bd33947e1d6","404":"112d2fec-cea7-4ddf-b0ff-7f3f516284a1","422":"1e6a0788-6787-4792-9bf5-9d6715f56dfc","502":"82c246d2-e8b5-4a56-a685-fb7e42133c0c"},"summary":"Create a mass payment instruction","tags":["Mass Payments"],"x-tags":[{"tag":"Mass Payments"}],"x-mint":{"content":"Submit mass payment request in async mode. Requires either a sell currency or existing trade ID to create the instruction\n\nNote that within a mass payment instruction it is not possible to use different sell currencies per payment.\n\n\u003cWarning>Please note that if a trade ID is being passed in the request, the payments in a mass payment instruction must be of the same BUY currency.\u003c/Warning>","metadata":{"description":""}},"method":"post","type":"path","servers":["fb0f20b1-5eb0-4cb1-aacb-af5149b87cb1","de03aa02-bb88-4812-b355-9992f22c8dc9"],"security":[],"path":"/mass-payments","baseUrlOptions":["https://api.ebury.io","https://api.ebury.builders"],"title":"Create a mass payment instruction","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"edfeab04-9af6-4f70-9592-f52c9da3407b":{"description":"The identifier of a client.","in":"query","name":"client_id","required":true,"schema":{"type":"string","isRequired":true,"description":"The identifier of a client.","uniqueKey":"","typeLabel":"string"}},"5907fce9-534a-48c8-87ea-e5b33b74f9c1":{"description":"The access token.","in":"header","name":"Authorization","required":true,"schema":{"type":"string","isRequired":true,"description":"The access token.","uniqueKey":"","typeLabel":"string"}},"7afe25a2-b32b-46f0-b3fb-000feb251785":{"description":"VoP authorization ID to confirm not full-match payment","in":"query","name":"vop_authorization_id","required":false,"schema":{"type":"string","isRequired":false,"description":"VoP authorization ID to confirm not full-match payment","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"required":["auto_commit","payment_instructions"],"type":"object","properties":{"auto_commit":{"description":"If true, send successful instructions for payment. If false, hold until customer hits commit endpoint.","type":"boolean","isRequired":true,"uniqueKey":"auto_commit","typeLabel":"boolean"},"payment_instructions":{"description":"Array of multiple payment instruction given by the customer.","type":"array","items":{"description":"A payment instruction. Identify the beneficiary either with `account_id` and `beneficiary_id` of an existing beneficiary, or with the full bank details (`account_number`, `bank_address`, `bank_code`, `bank_country`, `bank_name`, `beneficiary_country`, `beneficiary_name`, `iban`, `swift_code`, plus `beneficiary_address` when structured address fields are not used). The two options are mutually exclusive. Exactly one of `payment_reference` or `reference` (deprecated) must be supplied.","required":["direction","payment_amount","payment_currency","reason_for_trade","trade_type","value_date"],"properties":{"direction":{"description":"Type of payment, 'buy' or 'sell'","type":"string","enum":["buy","sell"],"isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].direction","typeLabel":"enum\u003cstring>"},"payment_currency":{"description":"Destination currency","type":"string","minLength":1,"isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].payment_currency","typeLabel":"string"},"payment_amount":{"description":"Amount to be paid","type":"number","format":"float","minimum":0,"isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].payment_amount","typeLabel":"number\u003cfloat>"},"reason_for_trade":{"oneOf":[{"description":"Reason for trade","type":"string","isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].reason_for_trade.oneOf.0","typeLabel":"string"},{"description":"Reason for trade","type":"null","isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].reason_for_trade.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].reason_for_trade","typeLabel":"string | null"},"trade_type":{"description":"Type of trade. 'spot' is the only supported value at the moment","type":"string","enum":["spot"],"isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].trade_type","typeLabel":"enum\u003cstring>"},"value_date":{"oneOf":[{"description":"Date when the transaction will be performed","type":"string","isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].value_date.oneOf.0","typeLabel":"string"},{"description":"Date when the transaction will be performed","type":"null","isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].value_date.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"payment_instructions.items.[INDEX].value_date","typeLabel":"string | null"},"account_id":{"description":"The ID of an existing beneficiary bank account. Required together with `beneficiary_id` when bank details are not supplied","type":"string","pattern":".*[0-9].*","uniqueKey":"payment_instructions.items.[INDEX].account_id","typeLabel":"string"},"beneficiary_id":{"description":"The ID of an existing beneficiary. Required together with `account_id` when bank details are not supplied","type":"string","minLength":1,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_id","typeLabel":"string"},"account_number":{"oneOf":[{"description":"Destination account number","type":"string","uniqueKey":"payment_instructions.items.[INDEX].account_number.oneOf.0","typeLabel":"string"},{"description":"Destination account number","type":"null","uniqueKey":"payment_instructions.items.[INDEX].account_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].account_number","typeLabel":"string | null"},"bank_address":{"oneOf":[{"description":"Destination bank address","type":"string","uniqueKey":"payment_instructions.items.[INDEX].bank_address.oneOf.0","typeLabel":"string"},{"description":"Destination bank address","type":"null","uniqueKey":"payment_instructions.items.[INDEX].bank_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].bank_address","typeLabel":"string | null"},"bank_code":{"oneOf":[{"description":"Destination bank code","type":"string","uniqueKey":"payment_instructions.items.[INDEX].bank_code.oneOf.0","typeLabel":"string"},{"description":"Destination bank code","type":"null","uniqueKey":"payment_instructions.items.[INDEX].bank_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].bank_code","typeLabel":"string | null"},"bank_country":{"description":"Destination bank country","type":"string","minLength":1,"uniqueKey":"payment_instructions.items.[INDEX].bank_country","typeLabel":"string"},"bank_name":{"oneOf":[{"description":"Destination bank name","type":"string","uniqueKey":"payment_instructions.items.[INDEX].bank_name.oneOf.0","typeLabel":"string"},{"description":"Destination bank name","type":"null","uniqueKey":"payment_instructions.items.[INDEX].bank_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].bank_name","typeLabel":"string | null"},"beneficiary_address":{"oneOf":[{"description":"Address of beneficiary","type":"string","uniqueKey":"payment_instructions.items.[INDEX].beneficiary_address.oneOf.0","typeLabel":"string"},{"description":"Address of beneficiary","type":"null","uniqueKey":"payment_instructions.items.[INDEX].beneficiary_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_address","typeLabel":"string | null"},"beneficiary_name":{"oneOf":[{"description":"Name of beneficiary","type":"string","minLength":1,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_name.oneOf.0","typeLabel":"string"},{"description":"Name of beneficiary","type":"null","minLength":1,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_name","typeLabel":"string | null"},"beneficiary_country":{"oneOf":[{"description":"Country of beneficiary","type":"string","uniqueKey":"payment_instructions.items.[INDEX].beneficiary_country.oneOf.0","typeLabel":"string"},{"description":"Country of beneficiary","type":"null","uniqueKey":"payment_instructions.items.[INDEX].beneficiary_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_country","typeLabel":"string | null"},"iban":{"oneOf":[{"description":"IBAN of the destination account","type":"string","uniqueKey":"payment_instructions.items.[INDEX].iban.oneOf.0","typeLabel":"string"},{"description":"IBAN of the destination account","type":"null","uniqueKey":"payment_instructions.items.[INDEX].iban.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].iban","typeLabel":"string | null"},"payment_reference":{"oneOf":[{"description":"Reference of payment","type":"string","uniqueKey":"payment_instructions.items.[INDEX].payment_reference.oneOf.0","typeLabel":"string"},{"description":"Reference of payment","type":"null","uniqueKey":"payment_instructions.items.[INDEX].payment_reference.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].payment_reference","typeLabel":"string | null"},"swift_code":{"oneOf":[{"description":"SWIFT code of destination bank","type":"string","uniqueKey":"payment_instructions.items.[INDEX].swift_code.oneOf.0","typeLabel":"string"},{"description":"SWIFT code of destination bank","type":"null","uniqueKey":"payment_instructions.items.[INDEX].swift_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].swift_code","typeLabel":"string | null"},"beneficiary_reference":{"oneOf":[{"description":"Reference of beneficiary","type":"string","uniqueKey":"payment_instructions.items.[INDEX].beneficiary_reference.oneOf.0","typeLabel":"string"},{"description":"Reference of beneficiary","type":"null","uniqueKey":"payment_instructions.items.[INDEX].beneficiary_reference.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_reference","typeLabel":"string | null"},"purpose_of_payment":{"oneOf":[{"description":"Text describing the purpose of the payment","type":"string","uniqueKey":"payment_instructions.items.[INDEX].purpose_of_payment.oneOf.0","typeLabel":"string"},{"description":"Text describing the purpose of the payment","type":"null","uniqueKey":"payment_instructions.items.[INDEX].purpose_of_payment.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].purpose_of_payment","typeLabel":"string | null"},"reference":{"oneOf":[{"description":"Payment reference. Deprecated, use `payment_reference`","type":"string","deprecated":true,"uniqueKey":"payment_instructions.items.[INDEX].reference.oneOf.0","typeLabel":"string"},{"description":"Payment reference. Deprecated, use `payment_reference`","type":"null","deprecated":true,"uniqueKey":"payment_instructions.items.[INDEX].reference.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].reference","typeLabel":"string | null"},"inn":{"oneOf":[{"description":"The INN of the bank account","type":"string","pattern":"^[0-9]{10}([0-9]{2})?$","uniqueKey":"payment_instructions.items.[INDEX].inn.oneOf.0","typeLabel":"string"},{"description":"The INN of the bank account","type":"null","pattern":"^[0-9]{10}([0-9]{2})?$","uniqueKey":"payment_instructions.items.[INDEX].inn.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].inn","typeLabel":"string | null"},"vo":{"oneOf":[{"description":"The VO of the bank account","type":"string","uniqueKey":"payment_instructions.items.[INDEX].vo.oneOf.0","typeLabel":"string"},{"description":"The VO of the bank account","type":"null","uniqueKey":"payment_instructions.items.[INDEX].vo.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].vo","typeLabel":"string | null"},"kio":{"oneOf":[{"description":"The KIO of the bank account","type":"string","uniqueKey":"payment_instructions.items.[INDEX].kio.oneOf.0","typeLabel":"string"},{"description":"The KIO of the bank account","type":"null","uniqueKey":"payment_instructions.items.[INDEX].kio.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].kio","typeLabel":"string | null"},"russian_central_bank_account":{"oneOf":[{"description":"Russian central bank account","type":"string","uniqueKey":"payment_instructions.items.[INDEX].russian_central_bank_account.oneOf.0","typeLabel":"string"},{"description":"Russian central bank account","type":"null","uniqueKey":"payment_instructions.items.[INDEX].russian_central_bank_account.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].russian_central_bank_account","typeLabel":"string | null"},"external_reference_id":{"oneOf":[{"description":"External reference for this payment instruction. Maximum 128 characters","type":"string","maxLength":128,"pattern":"^[\\sa-zA-Z0-9,\\.:'\\+\\(\\)\\?\\-/]*$","uniqueKey":"payment_instructions.items.[INDEX].external_reference_id.oneOf.0","typeLabel":"string"},{"description":"External reference for this payment instruction. Maximum 128 characters","type":"null","maxLength":128,"pattern":"^[\\sa-zA-Z0-9,\\.:'\\+\\(\\)\\?\\-/]*$","uniqueKey":"payment_instructions.items.[INDEX].external_reference_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].external_reference_id","typeLabel":"string | null"},"beneficiary_street_name":{"oneOf":[{"description":"Street name of the beneficiary address","type":"string","maxLength":70,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_street_name.oneOf.0","typeLabel":"string"},{"description":"Street name of the beneficiary address","type":"null","maxLength":70,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_street_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_street_name","typeLabel":"string | null"},"beneficiary_building_number":{"oneOf":[{"description":"Building number of the beneficiary address","type":"string","maxLength":16,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_building_number.oneOf.0","typeLabel":"string"},{"description":"Building number of the beneficiary address","type":"null","maxLength":16,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_building_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_building_number","typeLabel":"string | null"},"beneficiary_floor":{"oneOf":[{"description":"Floor of the beneficiary address","type":"string","maxLength":70,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_floor.oneOf.0","typeLabel":"string"},{"description":"Floor of the beneficiary address","type":"null","maxLength":70,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_floor.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_floor","typeLabel":"string | null"},"beneficiary_apartment_office_number":{"oneOf":[{"description":"Apartment or office number of the beneficiary address","type":"string","maxLength":70,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_apartment_office_number.oneOf.0","typeLabel":"string"},{"description":"Apartment or office number of the beneficiary address","type":"null","maxLength":70,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_apartment_office_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_apartment_office_number","typeLabel":"string | null"},"beneficiary_city":{"oneOf":[{"description":"City of the beneficiary address","type":"string","maxLength":35,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_city.oneOf.0","typeLabel":"string"},{"description":"City of the beneficiary address","type":"null","maxLength":35,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_city.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_city","typeLabel":"string | null"},"beneficiary_state_region":{"oneOf":[{"description":"State or region of the beneficiary address","type":"string","maxLength":35,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_state_region.oneOf.0","typeLabel":"string"},{"description":"State or region of the beneficiary address","type":"null","maxLength":35,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_state_region.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_state_region","typeLabel":"string | null"},"beneficiary_post_code":{"oneOf":[{"description":"Post code of the beneficiary address","type":"string","maxLength":16,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_post_code.oneOf.0","typeLabel":"string"},{"description":"Post code of the beneficiary address","type":"null","maxLength":16,"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_post_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_instructions.items.[INDEX].beneficiary_post_code","typeLabel":"string | null"}},"type":"object","uniqueKey":"payment_instructions.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"payment_instructions","typeLabel":"object[]"},"external_reference_id":{"description":"The external reference: unique ID supplied by customer which can be used later to filter.","type":"string","default":"","uniqueKey":"external_reference_id","typeLabel":"string"},"sell_currency":{"description":"If `trade_id` omitted, `sell_currency` must be supplied.","type":"string","pattern":"^[A-Z]{3}$","uniqueKey":"sell_currency","typeLabel":"string"},"trade_id":{"description":"Trade ID to book payments against. If customer wants the trade to be auto booked then this parameter should not be supplied.","type":"string","uniqueKey":"trade_id","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"auto_commit":true,"payment_instructions":[{"payment_currency":"\u003cstring>","payment_amount":1,"reason_for_trade":"\u003cstring>","trade_type":"spot","value_date":"\u003cstring>","account_id":"\u003cstring>","beneficiary_id":"\u003cstring>","account_number":"\u003cstring>","bank_address":"\u003cstring>","bank_code":"\u003cstring>","bank_country":"\u003cstring>","bank_name":"\u003cstring>","beneficiary_address":"\u003cstring>","beneficiary_name":"\u003cstring>","beneficiary_country":"\u003cstring>","iban":"\u003cstring>","payment_reference":"\u003cstring>","swift_code":"\u003cstring>","beneficiary_reference":"\u003cstring>","purpose_of_payment":"\u003cstring>","reference":"\u003cstring>","inn":"\u003cstring>","vo":"\u003cstring>","kio":"\u003cstring>","russian_central_bank_account":"\u003cstring>","external_reference_id":"\u003cstring>","beneficiary_street_name":"\u003cstring>","beneficiary_building_number":"\u003cstring>","beneficiary_floor":"\u003cstring>","beneficiary_apartment_office_number":"\u003cstring>","beneficiary_city":"\u003cstring>","beneficiary_state_region":"\u003cstring>","beneficiary_post_code":"\u003cstring>"}],"external_reference_id":"","sell_currency":"\u003cstring>","trade_id":"\u003cstring>"}}},"exampleType":"generated"}},"description":"Request Payload","required":true,"exampleType":"generated"},"responses":{"1fd934e8-665f-4630-a5b9-782b75867f54":{"description":"Masspayment request accepted, see response body for status","content":{"application/json":{"schema":{"properties":{"mass_payment_id":{"description":"The UUID of the MassPayment just created","type":"string","format":"uuid","uniqueKey":"mass_payment_id","typeLabel":"string\u003cuuid>"},"external_reference_id":{"description":"The external reference for the MassPayment, if supplied","type":"string","uniqueKey":"external_reference_id","typeLabel":"string"},"mass_payment_status":{"description":"This is an enumeration of the status of a MassPayment","enum":["Queued for processing","Processing","Processed","Queued for creating","Creating","Created","Cancelled","Failed"],"type":"string","uniqueKey":"mass_payment_status","typeLabel":"enum\u003cstring>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"mass_payment_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","external_reference_id":"\u003cstring>","mass_payment_status":"Queued for processing"}}},"exampleType":"generated"}},"exampleType":"generated"},"5e406801-5c90-4bb1-a93a-3f436e6da32e":{"description":"Formatting, parameter or schema validation error. See error message for further details.","content":{"application/json":{"schema":{"description":"An error message.","properties":{"code":{"type":"string","description":"The code for the error.","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"details":{"description":"Error details","type":"string","isRequired":true,"uniqueKey":"details","typeLabel":"string"},"message":{"type":"string","description":"A short description of the cause of the error.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["code","message","details"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"\u003cstring>","details":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"24d1b9e2-93f6-4b44-8d97-3bad201c7d29":{"description":"Access denied due to authentication failure.","content":{"application/json":{"schema":{"description":"An error message.","properties":{"code":{"type":"string","description":"The code for the error.","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"details":{"description":"Error details","type":"string","isRequired":true,"uniqueKey":"details","typeLabel":"string"},"message":{"type":"string","description":"A short description of the cause of the error.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["code","message","details"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"\u003cstring>","details":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"c0389297-cf2d-4519-9719-4bd33947e1d6":{"description":"Could not complete action due to data constraints. Refer to error message for additional details.","content":{"application/json":{"schema":{"description":"An error message.","properties":{"code":{"type":"string","description":"The code for the error.","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"details":{"description":"Error details","type":"string","isRequired":true,"uniqueKey":"details","typeLabel":"string"},"message":{"type":"string","description":"A short description of the cause of the error.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["code","message","details"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"\u003cstring>","details":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"112d2fec-cea7-4ddf-b0ff-7f3f516284a1":{"description":"Client identifier not found.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"1e6a0788-6787-4792-9bf5-9d6715f56dfc":{"description":"VoP check failed, provided `vop_authorization_id` is not valid, or purpose of payment validation failed.","content":{"application/json":{"schema":{"description":"An error message.","properties":{"code":{"type":"string","description":"The code for the error.","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"details":{"description":"Error details","type":"string","isRequired":true,"uniqueKey":"details","typeLabel":"string"},"message":{"type":"string","description":"A short description of the cause of the error.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["code","message","details"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"\u003cstring>","details":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"82c246d2-e8b5-4a56-a685-fb7e42133c0c":{"description":"Internal integration error.","content":{"application/json":{"schema":{"description":"An error message.","properties":{"code":{"type":"string","description":"The code for the error.","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"details":{"description":"Error details","type":"string","isRequired":true,"uniqueKey":"details","typeLabel":"string"},"message":{"type":"string","description":"A short description of the cause of the error.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["code","message","details"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"\u003cstring>","details":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"fb0f20b1-5eb0-4cb1-aacb-af5149b87cb1":{"url":"https://api.ebury.io","description":"Production"},"de03aa02-bb88-4812-b355-9992f22c8dc9":{"url":"https://api.ebury.builders","description":"Sandbox"}}},"originalFileLocation":"openapi/ebury-api-public.json"},"subdomain":"ebury","siteName":"Ebury","title":"Create a mass payment instruction - Ebury","navMaps":{"firstHrefInVersion":{"v1":{"href":"/v1/api-reference/mass-payments/create-a-mass-payment-instruction","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-11-16T09:16:24.001Z","originalFileLocation":"v1/api-reference/mass-payments/create-a-mass-payment-instruction.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Ebury\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a mass payment instruction - Ebury\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Ebury\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://ebury.mintlify.site/_mintlify/api/og/v2?division=Mass+Payments\u0026amp;title=Create+a+mass+payment+instruction\u0026amp;theme=82f2409686991e5640c22941\u0026amp;signature=e199b3a98bf4787448c0a89af3fba7465fd5b0ae9b26bed12b48f41ec654460c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a mass payment instruction - Ebury\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://ebury.mintlify.site/_mintlify/api/og/v2?division=Mass+Payments\u0026amp;title=Create+a+mass+payment+instruction\u0026amp;theme=82f2409686991e5640c22941\u0026amp;signature=e199b3a98bf4787448c0a89af3fba7465fd5b0ae9b26bed12b48f41ec654460c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/ebury/jbllhyGxPl7PK0TE/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Ebury\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#73B0CA\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v1/api-reference/mass-payments/create-a-mass-payment-instruction.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.ebury.com/#organization\",\"name\":\"Ebury\",\"url\":\"https://docs.ebury.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/ebury/hyecsfNgRYJYRIcg/logo/light.svg?fit=max\u0026auto=format\u0026n=hyecsfNgRYJYRIcg\u0026q=85\u0026s=171beecd1c422bb5a896ebdf7a2bf872\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.ebury.com#website\",\"name\":\"Ebury\",\"url\":\"https://docs.ebury.com\",\"publisher\":{\"@id\":\"https://docs.ebury.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction#webpage\",\"url\":\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction\",\"name\":\"Create a mass payment instruction\",\"dateModified\":\"2026-11-16T09:16:24.001Z\",\"isPartOf\":{\"@id\":\"https://docs.ebury.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.ebury.com/v1/api-reference/oauth20/authenticate\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Mass Payments\",\"item\":\"https://docs.ebury.com/v1/api-reference/mass-payments/fetch-mass-payments\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create a mass payment instruction\",\"item\":\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction#apireference\",\"headline\":\"Create a mass payment instruction\",\"name\":\"Create a mass payment instruction\",\"url\":\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction\",\"mainEntityOfPage\":{\"@id\":\"https://docs.ebury.com/v1/api-reference/mass-payments/create-a-mass-payment-instruction#webpage\"},\"dateModified\":\"2026-11-16T09:16:24.001Z\",\"publisher\":{\"@id\":\"https://docs.ebury.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.ebury.com#website\"}}]}\u003c/script>","agentPointerHref":"/v1/api-reference/mass-payments/create-a-mass-payment-instruction.md","siteName":"Ebury","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/introduction"}]},{"tab":"API Reference","versions":[{"version":"v1","groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/api/introduction"},{"title":"Getting Started","href":"/api/getting-started"},{"title":"Authentication","href":"/api/authentication"},{"title":"Example Workflow","href":"/api/example-workflow"},{"title":"Webhook notifications","href":"/api/webhooks"}]},{"group":"Endpoints","pages":[{"group":"OAuth2.0","pages":[{"title":"Authenticate","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /authenticate","href":"/v1/api-reference/oauth20/authenticate"},{"title":"Authenticate","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /authenticate","href":"/v1/api-reference/oauth20/authenticate-1"},{"title":"Available contacts","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /info/available-contacts","href":"/v1/api-reference/oauth20/available-contacts"},{"title":"Login","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /login","href":"/v1/api-reference/oauth20/login"},{"title":"Send verification code","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /send-verification-code","href":"/v1/api-reference/oauth20/send-verification-code"},{"title":"Token","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /token","href":"/v1/api-reference/oauth20/token"},{"title":"Verify","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /verify","href":"/v1/api-reference/oauth20/verify"}]},{"group":"Account details","pages":[{"title":"Get the list of account details of the referred client","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /account-details","href":"/v1/api-reference/account-details/get-the-list-of-account-details-of-the-referred-client"},{"title":"Get all the account details (pooled, virtual, segregated)","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /account-details/all","href":"/v1/api-reference/account-details/get-all-the-account-details-pooled-virtual-segregated"},{"title":"Retrieve the account details PDF","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /account-details/pdf","href":"/v1/api-reference/account-details/retrieve-the-account-details-pdf"},{"title":"Request a Dedicated account for a currency+country pair.","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /account-details/request","href":"/v1/api-reference/account-details/request-a-dedicated-account-for-a-currency+country-pair"},{"title":"Assign a new Virtual account for a currency","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /account-details/virtual/{currency}","href":"/v1/api-reference/account-details/assign-a-new-virtual-account-for-a-currency"},{"title":"Update the alias of an account details","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json patch /account-details/{account_details_id}","href":"/v1/api-reference/account-details/update-the-alias-of-an-account-details"},{"title":"Mark the account as primary (default) for its holder and currency","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /account-details/{account_details_id}/make-default","href":"/v1/api-reference/account-details/mark-the-account-as-primary-default-for-its-holder-and-currency"}]},{"group":"Accounts","pages":[{"title":"Retrieve a list of accounts","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /accounts","href":"/v1/api-reference/accounts/retrieve-a-list-of-accounts"},{"title":"Retrieve currency accounts","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /accounts/currency-accounts","href":"/v1/api-reference/accounts/retrieve-currency-accounts"},{"title":"Get an account","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /accounts/{account_id}","href":"/v1/api-reference/accounts/get-an-account"},{"title":"Get funding account","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /funding-account","href":"/v1/api-reference/accounts/get-funding-account"}]},{"group":"Balances","pages":[{"title":"Get a balance for a single account","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /accounts/{account_id}/balances","href":"/v1/api-reference/balances/get-a-balance-for-a-single-account"},{"title":"Retrieve a list of the client's balances","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /balances","href":"/v1/api-reference/balances/retrieve-a-list-of-the-clients-balances"}]},{"group":"Statements Create","pages":[{"title":"Create statement file for an account","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /accounts/{account_id}/statements/file","href":"/v1/api-reference/statements-create/create-statement-file-for-an-account"}]},{"group":"Statement Fetch","pages":[{"title":"Get an account","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /accounts/{account_id}/statements/{statement_id}/file","href":"/v1/api-reference/statement-fetch/get-an-account"}]},{"group":"Transactions","pages":[{"title":"Get transactions for a single account","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /accounts/{account_id}/transactions","href":"/v1/api-reference/transactions/get-transactions-for-a-single-account"},{"title":"Get a single transactions for an account","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /accounts/{account_id}/transactions/{transaction_id}","href":"/v1/api-reference/transactions/get-a-single-transactions-for-an-account"},{"title":"Get transactions for all client accounts","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /transactions","href":"/v1/api-reference/transactions/get-transactions-for-all-client-accounts"}]},{"group":"Approvals Workflow","pages":[{"title":"Get the Approvals Workflow configuration","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /approvals-workflow/config","href":"/v1/api-reference/approvals-workflow/get-the-approvals-workflow-configuration"},{"title":"Update the Approvals Workflow configuration","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /approvals-workflow/config","href":"/v1/api-reference/approvals-workflow/update-the-approvals-workflow-configuration"},{"title":"Get the Approvals Workflow settings","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /approvals-workflow/settings","href":"/v1/api-reference/approvals-workflow/get-the-approvals-workflow-settings"},{"title":"Update the Approvals Workflow settings","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /approvals-workflow/settings","href":"/v1/api-reference/approvals-workflow/update-the-approvals-workflow-settings"}]},{"group":"Beneficiaries","pages":[{"title":"Get beneficiaries","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /beneficiaries","href":"/v1/api-reference/beneficiaries/get-beneficiaries"},{"title":"Create a new beneficiary","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /beneficiaries","href":"/v1/api-reference/beneficiaries/create-a-new-beneficiary"},{"title":"Get a beneficiary","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /beneficiaries/{beneficiary_id}","href":"/v1/api-reference/beneficiaries/get-a-beneficiary"},{"title":"Delete a beneficiary","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json delete /beneficiaries/{beneficiary_id}","href":"/v1/api-reference/beneficiaries/delete-a-beneficiary"},{"title":"Update a beneficiary","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json patch /beneficiaries/{beneficiary_id}","href":"/v1/api-reference/beneficiaries/update-a-beneficiary"}]},{"group":"Clients","pages":[{"title":"Get clients","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /clients","href":"/v1/api-reference/clients/get-clients"}]},{"group":"Contacts","pages":[{"title":"Get contacts","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /contacts","href":"/v1/api-reference/contacts/get-contacts"},{"title":"Get a contact","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /contacts/{contact_id}","href":"/v1/api-reference/contacts/get-a-contact"},{"title":"Update a contact","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json patch /contacts/{contact_id}","href":"/v1/api-reference/contacts/update-a-contact"}]},{"group":"Credit Conditions","pages":[{"title":"Get credit conditions limit","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /credit-conditions/limit/pad","href":"/v1/api-reference/credit-conditions/get-credit-conditions-limit"}]},{"group":"Currencies","pages":[{"title":"Retrieve a list of the client's currencies","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /currencies","href":"/v1/api-reference/currencies/retrieve-a-list-of-the-clients-currencies"}]},{"group":"Documents","pages":[{"title":"Get a document","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /documents","href":"/v1/api-reference/documents/get-a-document"}]},{"group":"Drawdowns","pages":[{"title":"Create a drawdown","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /drawdowns","href":"/v1/api-reference/drawdowns/create-a-drawdown"},{"title":"Get available drawdown margin","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /drawdowns/available_margin","href":"/v1/api-reference/drawdowns/get-available-drawdown-margin"}]},{"group":"Mass Beneficiaries","pages":[{"title":"Retrieve all mass beneficiary submissions","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /mass-beneficiaries","href":"/v1/api-reference/mass-beneficiaries/retrieve-all-mass-beneficiary-submissions"},{"title":"Create a mass beneficiary instruction","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /mass-beneficiaries","href":"/v1/api-reference/mass-beneficiaries/create-a-mass-beneficiary-instruction"},{"title":"Retrieve a mass beneficiary submission","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /mass-beneficiaries/{mass_beneficiary_id}","href":"/v1/api-reference/mass-beneficiaries/retrieve-a-mass-beneficiary-submission"},{"title":"Retrieve the beneficiary creation errors of a mass beneficiary","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /mass-beneficiaries/{mass_beneficiary_id}/errors","href":"/v1/api-reference/mass-beneficiaries/retrieve-the-beneficiary-creation-errors-of-a-mass-beneficiary"},{"title":"Retrieve the beneficiaries created by a mass beneficiary","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /mass-beneficiaries/{mass_beneficiary_id}/beneficiaries","href":"/v1/api-reference/mass-beneficiaries/retrieve-the-beneficiaries-created-by-a-mass-beneficiary"}]},{"group":"Mass Payments","pages":[{"title":"Fetch mass payments","description":"","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /mass-payments","href":"/v1/api-reference/mass-payments/fetch-mass-payments"},{"title":"Create a mass payment instruction","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /mass-payments","href":"/v1/api-reference/mass-payments/create-a-mass-payment-instruction"},{"title":"Confirm a mass payment instruction","description":"","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /mass-payments/{mass_payment_id}/confirm","href":"/v1/api-reference/mass-payments/confirm-a-mass-payment-instruction"},{"title":"Fetch the payment instructions with errors for a mass payment","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /mass-payments/{mass_payment_id}/errors","href":"/v1/api-reference/mass-payments/fetch-the-payment-instructions-with-errors-for-a-mass-payment"},{"title":"Fetch the funding account of a mass payment","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /mass-payments/{mass_payment_id}/funding-account","href":"/v1/api-reference/mass-payments/fetch-the-funding-account-of-a-mass-payment"},{"title":"Fetch the payment instructions submitted for a mass payment","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /mass-payments/{mass_payment_id}/payments-received","href":"/v1/api-reference/mass-payments/fetch-the-payment-instructions-submitted-for-a-mass-payment"}]},{"group":"Metadata","pages":[{"title":"Get beneficiary metadata","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /metadata/beneficiary","href":"/v1/api-reference/metadata/get-beneficiary-metadata"},{"title":"Get currency metadata","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /metadata/currency","href":"/v1/api-reference/metadata/get-currency-metadata"}]},{"group":"Multi Payments","pages":[{"title":"Create a multi payment instruction","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /multipayments","href":"/v1/api-reference/multi-payments/create-a-multi-payment-instruction"},{"title":"Rejects a multi payment","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json delete /multipayments/{multipayment_id}","href":"/v1/api-reference/multi-payments/rejects-a-multi-payment"},{"title":"Accept a multi payment","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json patch /multipayments/{multipayment_id}","href":"/v1/api-reference/multi-payments/accept-a-multi-payment"}]},{"group":"Payments","pages":[{"title":"Search or retrieve payments","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /payments","href":"/v1/api-reference/payments/search-or-retrieve-payments"},{"title":"Create one or more payments","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /payments","href":"/v1/api-reference/payments/create-one-or-more-payments"},{"title":"Get the fee of payments","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /payments/fees","href":"/v1/api-reference/payments/get-the-fee-of-payments"},{"title":"Get the estimate fee of payments","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /payments/fees_estimate","href":"/v1/api-reference/payments/get-the-estimate-fee-of-payments"},{"title":"Retrieve a payment","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /payments/{payment_id}","href":"/v1/api-reference/payments/retrieve-a-payment"},{"title":"Delete a payment","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json delete /payments/{payment_id}","href":"/v1/api-reference/payments/delete-a-payment"},{"title":"Authorise or reject a payment","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json patch /payments/{payment_id}","href":"/v1/api-reference/payments/authorise-or-reject-a-payment"}]},{"group":"Ping","pages":[{"title":"Test connectivity","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /ping","href":"/v1/api-reference/ping/test-connectivity"},{"title":"Test connectivity","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /ping","href":"/v1/api-reference/ping/test-connectivity-1"}]},{"group":"Quotes","pages":[{"title":"Get an estimate or firm quote","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /quotes","href":"/v1/api-reference/quotes/get-an-estimate-or-firm-quote"},{"title":"Get the availability for FX markets","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /quotes/fx-availability","href":"/v1/api-reference/quotes/get-the-availability-for-fx-markets"}]},{"group":"Statements","pages":[{"title":"List statement requests","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /statements","href":"/v1/api-reference/statements/list-statement-requests"},{"title":"Create a statement request","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /statements","href":"/v1/api-reference/statements/create-a-statement-request"},{"title":"Request accounts statement via email","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /statements/accounts","href":"/v1/api-reference/statements/request-accounts-statement-via-email"},{"title":"Request incoming funds statement via email","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /statements/incoming-funds","href":"/v1/api-reference/statements/request-incoming-funds-statement-via-email"},{"title":"Request MT940 statement via email","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /statements/mt940","href":"/v1/api-reference/statements/request-mt940-statement-via-email"},{"title":"Request trades statement via email","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /statements/trades","href":"/v1/api-reference/statements/request-trades-statement-via-email"},{"title":"Get statement details","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /statements/{statement_id}","href":"/v1/api-reference/statements/get-statement-details"}]},{"group":"TrustedAuthentication","pages":[{"title":"Token for a Contact","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /token/{contact_id}","href":"/v1/api-reference/trustedauthentication/token-for-a-contact"}]},{"group":"Trades","pages":[{"title":"Get all trades","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /trades","href":"/v1/api-reference/trades/get-all-trades"},{"title":"Create a Trade","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /trades","href":"/v1/api-reference/trades/create-a-trade"},{"title":"Get a trade","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json get /trades/{trade_id}","href":"/v1/api-reference/trades/get-a-trade"}]},{"group":"VoP","pages":[{"title":"Run a standalone Verification of Payee check for a list of beneficiaries","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /vop","href":"/v1/api-reference/vop/run-a-standalone-verification-of-payee-check-for-a-list-of-beneficiaries"}]},{"group":"Webhooks","pages":[{"title":"Execute a GraphQL query over the webhooks API","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /webhooks/graphql","href":"/v1/api-reference/webhooks/execute-a-graphql-query-over-the-webhooks-api"},{"title":"Ping a subscription","deprecated":null,"version":null,"openapi":"/openapi/ebury-api-public.json post /webhooks/ping/{subscription_id}","href":"/v1/api-reference/webhooks/ping-a-subscription"}]}]},{"group":"Data models","pages":[{"title":"Account Models","href":"/api/account-models"},{"title":"Account Details Model","href":"/api/account-details-model"},{"title":"Balance Models","href":"/api/balance-models"},{"title":"Beneficiary Models","href":"/api/beneficiary-models"},{"title":"Contact Models","href":"/api/contact-models"},{"title":"Currency Models","href":"/api/currency-models"},{"title":"Mass Beneficiary Models","href":"/api/mass-beneficiary-models"},{"title":"Mass Payment Model","href":"/api/mass-payment-model"},{"title":"Multipayment models","href":"/api/multipayment-models"},{"title":"Payment Instructions Model","href":"/api/payment-instructions-model"},{"title":"Payment Models","href":"/api/payment-models"},{"title":"Statements Models","href":"/api/statements-models"},{"title":"Trade Models","href":"/api/trade-models"},{"title":"Transaction Models","href":"/api/transaction-models"},{"group":"Purpose of payment codes","pages":[{"title":"China Purpose of Payment Codes","href":"/api/resources/chn-pop-codes"},{"title":"UAE Purpose of Payment Codes","href":"/api/resources/uae-pop-codes"}]}]}]}]}]},"basePath":"","title":"Create a mass payment instruction - Ebury","buildId":"dpl_GRSyrvXT6FFTpZZTGz5iZPp3D2zE","deploymentId":"dpl_GRSyrvXT6FFTpZZTGz5iZPp3D2zE","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BFmjTMeT.js","utils-BWr-sjpP.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-LafIDf0N.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-MJNzuxek.js","snippetPresets-DPZEtUvW.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-DQ2UhGIs.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DUUJTUkE.js","shallow-BTf5bw35.js","getApiPlaygroundDisplay-h2POYYOO.js","CodeSnippet-C4qEftRe.js","CodeSnippets-CsSrOqMC.js","Page-CWFqNdGh.js","getPastedJson-DU6W6y78.js","icon-2ZYNQ78y.js","MethodPill-BMXJzYMm.js","DuplicateIcon-DNjdEpYZ.js","createIcon-WdPVhKxl.js","DynamicMarkdown-Z_y464fM.js","SectionHeading-Bcrd8azU.js","axios-vUo_bRtp.js","Markdown-BnvucbFu.js","dist-D7YyC486.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","katex-YMM-FMeD.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","AssistantPageLink-D1I8TPjt.js"]}